Mail archive
alpine-aports

[alpine-aports] [PATCH 4/4] Move s6-rc to main, move binaries to /bin, update to 0.0.2.0

From: Laurent Bercot <ska-devel_at_skarnet.org>
Date: Mon, 16 Nov 2015 12:44:54 +0100

---
 main/s6-rc/APKBUILD    | 55 ++++++++++++++++++++++++++++++++++++++++++++++++++
 testing/s6-rc/APKBUILD | 49 --------------------------------------------
 2 files changed, 55 insertions(+), 49 deletions(-)
 create mode 100644 main/s6-rc/APKBUILD
 delete mode 100644 testing/s6-rc/APKBUILD
diff --git a/main/s6-rc/APKBUILD b/main/s6-rc/APKBUILD
new file mode 100644
index 0000000..5e8ea82
--- /dev/null
+++ b/main/s6-rc/APKBUILD
_at_@ -0,0 +1,55 @@
+# Maintainer: Laurent Bercot <ska-devel_at_skarnet.org>
+# Contributor: Eivind Uggedal <eivind_at_uggedal.com>
+pkgname=s6-rc
+pkgver=0.0.2.0
+pkgrel=0
+pkgdesc="A service manager for s6-based systems."
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs execline s6"
+depends_dev="skalibs-dev execline-dev s6-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--host=$CHOST \
+		--enable-shared \
+		--enable-static \
+		--disable-allstatic \
+		--libdir=/usr/lib \
+		--with-dynlib=/lib \
+		|| return 1
+	make || return 1
+	make strip || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+doc() {
+	default_doc
+	mkdir -p "$subpkgdir/usr/share/doc"
+	cp -a "$_builddir/doc" "$subpkgdir/usr/share/doc/$pkgname"
+}
+
+md5sums="3709d3e2da52390ad463019a9317faca  s6-rc-0.0.2.0.tar.gz"
+sha256sums="1c1b0e329f95f042a8fe40b84a22352bd4de2ee54fa6466fdd8a46d5b56b2c38  s6-rc-0.0.2.0.tar.gz"
+sha512sums="11b11311f87c7d299f0e817cb71c1dde064ed37cc1c567abd888cc7c2103d03ee5fa0db0c7b3a720861525429099c74116de1fd9f2dc9b5e17035824b38b0bbc  s6-rc-0.0.2.0.tar.gz"
diff --git a/testing/s6-rc/APKBUILD b/testing/s6-rc/APKBUILD
deleted file mode 100644
index 8cde1b5..0000000
--- a/testing/s6-rc/APKBUILD
+++ /dev/null
_at_@ -1,49 +0,0 @@
-# Contributor: Eivind Uggedal <eivind_at_uggedal.com>
-# Maintainer: Eivind Uggedal <eivind_at_uggedal.com>
-pkgname=s6-rc
-pkgver=0.0.1.5
-pkgrel=0
-pkgdesc="A service manager for s6-based systems"
-url="http://skarnet.org/software/s6-rc/"
-arch="all"
-license="ISC"
-depends="s6"
-depends_dev="skalibs-dev execline-dev s6-dev"
-makedepends="$depends_dev"
-install=""
-subpackages="$pkgname-dev"
-source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir/$pkgname-$pkgver"
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--enable-shared \
-		--enable-static \
-		--disable-allstatic \
-		--prefix=/usr \
-		--libdir=/usr/lib \
-		|| return 1
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="a01f9abe53d7a41add9dafe45504dd3b  s6-rc-0.0.1.5.tar.gz"
-sha256sums="1e9a0faf23df7d4eb89809346553c346f681f336b3c7410e623e467b0b249b2a  s6-rc-0.0.1.5.tar.gz"
-sha512sums="2df6b8d766dcb4d95456547d84def09ff5d3f1a7fa84018ed756e778683c1ff9c257a87273ec99cbe5ff502b59d284a58f9f103fd8b94f000ff54d22d99d4651  s6-rc-0.0.1.5.tar.gz"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Nov 16 2015 - 12:44:54 GMT